import * as React from 'react';
import {FunctionComponent} from 'react';
import {TableCell} from '@material-ui/core';
import {SystemSettingModel, SystemSettingStore} from '@rx-suite/stores';
import {Moment} from "moment";

type Props = {
    date?: Moment
}

export const DateTableCell: FunctionComponent<Props> = ({date}) => {
    const systemSettings = SystemSettingStore.selectedModel as SystemSettingModel;
    let formatted = "";
    if (date) {
        formatted = systemSettings.printDateTime(date);
    }
    return (
        <TableCell>
            {formatted}
        </TableCell>
    )
}