import * as React from 'react';
import {observer} from "mobx-react-lite";
import {UserModel} from "../../stores/UserStore";
import {t} from "@lingui/macro";
import {CurrentUserModel, moduleIsInstalled} from "@rx-suite/stores";
import {PaddedPaper} from "@rx-suite/ui";
import {Typography} from "@material-ui/core";
import {ConnectToRxuniverseButton} from "./ConnectToRxuniverseButton";
import {OAuthsTable} from "./OAuthsTable";

export const ExternalConnectionsPanel: React.FunctionComponent<{ user: UserModel | CurrentUserModel, readOnly?: boolean }> = observer(({
                                                                                                                                           user,
                                                                                                                                           readOnly
                                                                                                                                       }) => {
    if (!moduleIsInstalled('rx_universe_api')) {
        return null;
    }

    return <PaddedPaper>
        <Typography variant={"h3"} gutterBottom>{t`External Connections`}</Typography>
        <ConnectToRxuniverseButton user={user}/>
        <OAuthsTable user={user} readOnly={readOnly}/>
    </PaddedPaper>
});